const app = getApp()
import { examine_status } from '../../utils/dict';
import WxValidate from '../../utils/wxValidate';
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '我的报名', leftArrow: true, useBar: false },
        searchInfo: {},
        list: [],
        dialog: { title: '详细信息', show: false, type: '1' },
        info: {},
    },
    // 跳转菜单
    back(e) {
        wx.navigateBack({ delta: 1 })
    },
    // 查询
    search: function (e) { console.log('查询'); },
    // 查看
    toView: async function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        const arr = await app.$get(`/newCourt/api/enroll/${item._id}`);
        if (arr.errcode == '0') {
            // 用户信息
            const user = await app.$get(`/newCourt/api/user/${arr.data.openid}`);
            if (user.errcode = '0') { arr.data.user_name = user.data.name };
            // 赛事信息
            const match = await app.$get(`/newCourt/api/match/${arr.data.match_id}`);
            if (match.errcode = '0') { arr.data.match_name = match.data.name };
            // 赛事组别
            let group = match.data.grouping.find((i) => i._id == arr.data.grouping_id);
            if (group) { arr.data.grouping_name = group.name; arr.data.project_type = group.type }
            // 赛事项目
            const project = await app.$get(`/newCourt/api/matchProject/${arr.data.project_id}`)
            if (project.errcode = '0') { arr.data.project_name = project.data.name };
            that.setData({ info: arr.data })
            that.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
        }
    },
    // 组队申请
    toTeam: function (e) {
        const { item } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/usermyteam/add?id=${item._id}` })
    },
    // 关闭弹框
    toClose: function () {
        const that = this;
        that.setData({ dialog: { title: '详细信息', show: false, type: '1' } })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        that.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: async function () {
        const that = this;
        wx.getStorage({
            key: 'user',
            success: async res => {
                const arr = await app.$get(`/newCourt/api/enroll/`, { openid: res.data.openid });
                if (arr.errcode == '0') {
                    for (const val of arr.data) {
                        // 赛事信息
                        const match = await app.$get(`/newCourt/api/match/${val.match_id}`);
                        if (match.errcode = '0') { val.match_name = match.data.name };
                    }
                    that.setData({ list: arr.data })
                }
            },
            fail: res => {
                wx.redirectTo({ url: '/pages/index/index', })
            }
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})